# Proxy
<span class="source-link">[[Source]](src/net/proxy.md#L2)</span>
```pony
interface ref Proxy
```

## Public Functions

### apply
<span class="source-link">[[Source]](src/net/proxy.md#L3)</span>


```pony
fun box apply(
  wrap: TCPConnectionNotify iso)
: TCPConnectionNotify iso^
```
#### Parameters

*   wrap: [TCPConnectionNotify](net-TCPConnectionNotify.md) iso

#### Returns

* [TCPConnectionNotify](net-TCPConnectionNotify.md) iso^

---

